Bug 1271564 - [BREW BUILD ENABLER] Add package for ovirt-jboss-modules-maven-plugin
[BREW BUILD ENABLER] Add package for ovirt-jboss-modules-maven-plugin
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: Build Subsystem (Show other bugs)
3.6.0
Unspecified Unspecified
unspecified Severity medium
: ovirt-4.0.0-rc
: ---
Assigned To: Juan Hernández
Pavol Brilla
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-14 05:53 EDT by Juan Hernández
Modified: 2016-05-30 06:43 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-05-30 06:43:38 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Infra
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Proposed patch to fix the bug (28.69 KB, patch)
2015-10-14 06:03 EDT, Juan Hernández
no flags Details | Diff

  None (edit)
Description Juan Hernández 2015-10-14 05:53:56 EDT
Version 4.0 of oVirt Engine will require the following Maven plugin for the build:

  https://github.com/oVirt/ovirt-jboss-modules-maven-plugin

This won't be needed by version 3.6, but we would like to start testing the build process, using the 3.6 brew targets. To do so we need a fully acknowledged bug with the rhevm-3.6.0 flag.
Comment 1 Juan Hernández 2015-10-14 05:59:03 EDT
Gil, Moran, please ack.
Comment 2 Juan Hernández 2015-10-14 06:03 EDT
Created attachment 1082770 [details]
Proposed patch to fix the bug
Comment 5 Eyal Edri 2015-10-15 04:40:10 EDT
i can import temporarily the jar into mead until we'll have 4.0 tags.
Comment 6 Pavel Stehlik 2015-10-16 05:29:03 EDT
(In reply to Eyal Edri from comment #5)
> i can import temporarily the jar into mead until we'll have 4.0 tags.

Please change the target to 4.0 - then I'll ack, thank you, P.
Comment 8 Mike McCune 2016-03-28 18:50:27 EDT
This bug was accidentally moved from POST to MODIFIED via an error in automation, please see mmccune@redhat.com with any questions
Comment 9 Yaniv Lavi 2016-05-09 06:58:41 EDT
oVirt 4.0 Alpha has been released, moving to oVirt 4.0 Beta target.
Comment 12 Juan Hernández 2016-05-30 06:43:38 EDT
As RHEV 4 will continue to be built using MEAD, we don't need to have RPMs for the build dependencies, so the requested RPM isn't needed.

Note You need to log in before you can comment on or make changes to this bug.